aboutsummaryrefslogtreecommitdiff
path: root/tests/fourth_merge_check
diff options
context:
space:
mode:
authorThomas White <taw@physics.org>2011-03-30 12:09:47 +0200
committerThomas White <taw@physics.org>2012-02-22 15:27:22 +0100
commit21fc8f9ce071f4262bdc7e45e3cf227f08b70290 (patch)
tree391e4a64818b875c8b7366d6f0b5973a1325d32c /tests/fourth_merge_check
parentc4443c95bec3046dde482a52f89ec2b27579386a (diff)
Add another unit test
Diffstat (limited to 'tests/fourth_merge_check')
-rwxr-xr-xtests/fourth_merge_check28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/fourth_merge_check b/tests/fourth_merge_check
new file mode 100755
index 00000000..6e845657
--- /dev/null
+++ b/tests/fourth_merge_check
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+cat > fourth_merge_check.stream << EOF
+CrystFEL stream format 2.0
+Command line: indexamajig -i dummy.lst -o dummy.stream --kraken=prawn
+----- Begin chunk -----
+Image filename: dummy.h5
+No unit cell from indexing.
+Cell parameters 27.74398 27.84377 16.90346 nm, 88.53688 91.11774 118.75944 deg
+astar = -0.0283891 +0.0149254 -0.0257273 nm^-1
+bstar = -0.0068281 +0.0403989 -0.0005196 nm^-1
+cstar = +0.0406926 +0.0052233 -0.0426520 nm^-1
+I0 = 1.0 (arbitrary units)
+photon_energy_eV = 2000.0
+Reflections measured after indexing
+ h k l I phase sigma(I) 1/d(nm^-1) counts fs/px ss/px
+ 1 0 0 100.00 - 0.00 1.0 1 938.0 629.0
+End of reflections
+----- End chunk -----
+EOF
+
+src/process_hkl -i fourth_merge_check.stream -o fourth_merge_check.hkl
+diff fourth_merge_check.hkl tests/fourth_merge_check.hkl
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+rm -f fourth_merge_check.stream fourth_merge_check.hkl
+exit 0